Bug 483330 - cluster : Unowned directories
cluster : Unowned directories
Product: Fedora
Classification: Fedora
Component: cluster (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Fabio Massimo Di Nitto
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-30 15:40 EST by Michael Schwendt
Modified: 2009-02-03 04:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-03 04:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:40:14 EST
One or more directories are not included within this
package and/or its sub-packages:

=> cluster-3.0.0-4.alpha3.fc11.src.rpm
=> cman-3.0.0-4.alpha3.fc11.i386 (rawhide-development-i386)


Further information:


MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.


The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n cman
Comment 1 Fabio Massimo Di Nitto 2009-01-31 03:05:42 EST
Thanks for spotting this. It will be fixed very soon (next week should hit rawhide).

Comment 2 Fabio Massimo Di Nitto 2009-01-31 03:14:01 EST
Maybe you know but your tool isn't working in rawhide:

[root@daitarn-fedora fabbione]# ./dircheck-remote.py -r rawhide -n cman
Loaded plugins: dellsysidplugin2, refresh-packagekit
Target distribution:
Reading repository metadata...
6501 packages to examine...

Traceback (most recent call last):
  File "./dircheck-remote.py", line 363, in <module>
  File "./dircheck-remote.py", line 286, in main
    whitelist += lister.pkgSack.returnNewestByName(p)[0].returnFileEntries(ftype='dir')
  File "/usr/lib/python2.6/site-packages/yum/packageSack.py", line 399, in returnNewestByName
    raise PackageSackError, 'No Package Matching %s' % ui_pats
yum.Errors.PackageSackError: No Package Matching filesystem

Any idea what is missing? I'd really be happy to add it in parallel to rpmlint checks.

Comment 3 Fabio Massimo Di Nitto 2009-01-31 03:22:31 EST
Fix is in cvs. So far I found only /etc/cluster/cman-notify.d by manual check.

Please advice if your tool has detected more.

Comment 4 Michael Schwendt 2009-01-31 06:00:35 EST
Rawhide obsoleted the 'filesystem' core package. An updated script with comps Base/Core group support has been uploaded.
Comment 5 Fabio Massimo Di Nitto 2009-02-03 04:22:09 EST
Fixed in cluster-3_0_0-5_alpha4_fc11 that has been build on koji 2 hours ago, should be available in rawhide within 24/48 hours.


Note You need to log in before you can comment on or make changes to this bug.